import { system, world } from "@minecraft/server"
import {ActionFormData, MessageFormData, ModalFormData } from "@minecraft/server-ui"
//你好，这里是UI示例
//求求各位别当CV工程师了，这代码本来写得也不好
//actionFormData示例
function actionFormTest(player)
{
    var actionForm = new ActionFormData()
    actionForm.body("body部分文字,会显示在窗口主体部分左上角")
              .title("窗口标题")
              .button("第一个选项","这里应填写显示图片路径")
              .button("第二个选项")
              .button("第三个选项")
              .button("第四个选项")
              .button("第五个选项")
              actionForm.show(player).then((afr) => {
        if(afr.selection == 1) {
            world.getDimension("overworld").runCommandAsync("say selection从0开始,所以selection值为1时点的是第二个按钮")
        }
    })
}


//messageFormData示例
function messageFormTest(player)
{
    var messForm = new MessageFormData()
    messForm.title("窗口标题")
            .body("内容部分")
            .button1("这是Button1,selection对应1")
            .button2("这是Button2,selection对应0")
    messForm.show(player).then((messfr) => {
        if(messfr.selection == 0) {
            world.getDimension("overworld").runCommandAsync("say 你点击的button2")
        }
        else {
            world.getDimension("overworld").runCommandAsync("say 你点击的button1")
        }
    })
}


//modalFormData示例
function modalFormTest(player)
{
    var modalForm = new ModalFormData()
    modalForm.dropdown("下拉列表选择",["选项1","选项2","选项3","选项4"],2)
             .slider("滑动条数据",0,10,0.1,5)
             .title("标题部分")
             .textField("输入文本","Minecraft用户名","提示文字")
             .toggle("是否开启",true)
    modalForm.show(player).then((mofr) => {
        world.getDimension("overworld").runCommandAsync("say " + mofr.formValues[2])
        //这个也是从0开始的，跳过title和icon部分
    })
}
//放置方块显示actionForm
//破坏方块显示messageForm
//点击按钮显示modalForm
world.events.blockPlace.subscribe((t) => {
    actionFormTest(t.player)
})
world.events.blockBreak.subscribe((t) => {
    messageFormTest(t.player)
})
world.events.buttonPush.subscribe((t) => {
    modalFormTest(t.source)
})